【活用ガイド】

JVNDB-2013-002859

Apache Tomcat のフォーム認証機能におけるセッションにリクエストを挿入される脆弱性

概要

Apache Tomcat のフォーム認証機能の java/org/apache/catalina/authenticator/FormAuthenticator.java は、認証要求とセッション間の関係を適切に処理しないため、セッションにリクエストを挿入される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


Apache Software Foundation
  • Apache Tomcat 6.0.21 から 6.0.36
  • Apache Tomcat 7.0.33 未満の 7.x
オラクル
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.0
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.1
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.2
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.3
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.3.1
  • Oracle Supply Chain Products Suite の Oracle Transportation Management 6.3.2
  • Oracle Virtualization の Oracle Secure Global Desktop 4.63 with December 2013 PSU 未満
  • Oracle Virtualization の Oracle Secure Global Desktop 4.71
日本電気
  • WebOTX Application Server Enterprise V8.4 から V8.5
  • WebOTX Application Server Express V8.4 から V8.5
  • WebOTX Application Server Foundation V8.4 から V8.5
  • WebOTX Application Server Standard V8.4 から V8.5
  • WebOTX Developer V8.4
  • WebOTX Enterprise Service Bus V8.4 から V8.5
  • WebOTX Portal V8.4
  • WebSAM Storage VASA Provider V1.1.001
  • WebSAM Storage VMware vSphere Web Client Plug-in V1.1
  • WebSAM Storage VMware vCenter Plug-in V1.1.001
  • WebSAM Storage VMware vCenter Plug-in V1.2.001

本脆弱性の影響を受ける日本電気製品の詳細については、ベンダ情報 NV14-004 をご確認ください。
想定される影響

第三者により、変則的なセッション固定攻撃 (session fixation attack) によって、ログインフォームの終了中にリクエストを送信されることで、セッションにリクエストを挿入される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Apache Software Foundation Canonical オラクル レッドハット 日本電気
  • NEC製品セキュリティ情報 : NV14-004
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な認証(CWE-287) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2013-2067
参考情報

  1. National Vulnerability Database (NVD) : CVE-2013-2067
更新履歴

[2013年06月04日]
  掲載
[2013年06月21日]
  ベンダ情報:Ubuntu (USN-1841-1) を追加
[2013年07月05日]
  ベンダ情報:レッドハット (RHSA-2013:0964) を追加
[2013年10月24日]
  ベンダ情報:オラクル (Multiple vulnerabilities in Tomcat) を追加
[2013年11月12日]
  ベンダ情報:レッドハット (RHSA-2013:0839) を追加
  ベンダ情報:レッドハット (RHSA-2013:0834) を追加
  ベンダ情報:レッドハット (RHSA-2013:0833) を追加
[2013年11月21日]
  ベンダ情報:レッドハット (RHSA-2013:1437) を追加
[2014年01月20日]
  影響を受けるシステム:オラクル (Oracle Critical Patch Update Advisory - January 2014) の情報を追加
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - January 2014) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - January 2014 Risk Matrices) を追加
  ベンダ情報:オラクル (January 2014 Critical Patch Update Released) を追加
[2014年05月09日]
  影響を受けるシステム:日本電気 (NV14-004) の情報を追加
  ベンダ情報:日本電気 (NV14-004) を追加
[2016年08月02日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新